Non Telkom Speedy and Telkom PSTN

Inquiry

API to inquiry Internet Non Telkom Speedy and Telkom PSTN.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
CBN01920000Success
CBN01920001Inquiry - Invoice Has Been Paid
CBN01920014Inquiry - Incorrect Destination Number
CBN01920103Inquiry - Time Out
CBN01921037Payment - Payment Failed
CBN01921039Payment - Pending / transaction in process
CBN01921105Payment - MISC Error / Biller System Error
CBN0192XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringGas negara customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands" : "inq-pasca",
  "username" : "123123123",
  "code"     : "CBN",
  "hp"       : "01920000",
  "ref_id"   : "578912993899",
  "sign"     : "01a6e0b7880edc11d155ca2e79c02899"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail